Bug 1711446 - Cannot open any files (QTemporaryFile::exists() returns false)
Summary: Cannot open any files (QTemporaryFile::exists() returns false)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: umbrello
Version: 29
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-17 20:07 UTC by Karthik Ganesan
Modified: 2019-11-27 23:01 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:01:38 UTC
Type: Bug


Attachments (Terms of Use)
Sample file for showing error - happens with any file (8.60 KB, application/xml)
2019-05-17 20:07 UTC, Karthik Ganesan
no flags Details


Links
System ID Private Priority Status Summary Last Updated
KDE Software Compilation 408050 0 NOR RESOLVED Cannot open any files (QTemporaryFile::exists() returns false) 2020-09-08 12:09:27 UTC

Description Karthik Ganesan 2019-05-17 20:07:58 UTC
Created attachment 1570357 [details]
Sample file for showing error - happens with any file

Description of problem:
Cannot open any files. Files can be saved.

Version-Release number of selected component (if applicable):
  Umbrello: 2.27.2 / Fedora package: umbrello-18.12.2-1.fc29.src.rpm
  /etc/fedora-release: Fedora release 29 (Twenty Nine)
  uname -a: Linux localhost.localdomain 5.0.16-200.fc29.x86_64 #1 SMP Tue May 14 18:27:35 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
  Repos:
     repo id                                                    repo name                                                                        status
     fedora                                                     Fedora 29 - x86_64                                                               58,205
     fedora-modular                                             Fedora Modular 29 - x86_64                                                            8
     google-chrome                                              google-chrome                                                                         3
     updates                                                    Fedora 29 - x86_64 - Updates                                                     20,066
     updates-modular                                            Fedora Modular 29 - x86_64 - Updates                                                 21

How reproducible:
Every time.

Steps to Reproduce:
1. Open umbrello
2. Open file

Actual results:
Error dialog shows up: The file <file:///....> does not exist

Expected results:
File should open

Additional info:
Error dialog is thrown in line 517 of umldoc.cpp as tmpfile.exists() (in line 512) returns false

Comment 1 Karthik Ganesan 2019-05-17 20:13:02 UTC
I can use gdb to manually jump from 512 to 537 and am able to open files.
To reproduce...
 1. Install debuginfo files for umbrello (and qt5-core)
 2. Break at *0x000055555565b37b (break *0x000055555565b37b)
 3. Jump past if block (j *0x55555565b396)

For some reason tmpfile::exists() suddenly reports false in line 512. file.exists() reports true in the same line!

Comment 2 Rex Dieter 2019-05-28 19:32:18 UTC
Mind reporting this upstream to bugs.kde.org ?

Comment 3 Karthik Ganesan 2019-05-29 02:12:37 UTC
I submitted to kde: https://bugs.kde.org/show_bug.cgi?id=408050
Thanks.

Comment 4 Rex Dieter 2019-05-29 13:15:26 UTC
thank you

Comment 5 Fedora Update System 2019-07-07 19:36:59 UTC
FEDORA-2019-4ac77c847a has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4ac77c847a

Comment 6 Fedora Update System 2019-07-07 23:47:53 UTC
FEDORA-2019-cd9024067b has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cd9024067b

Comment 7 Fedora Update System 2019-07-08 01:02:31 UTC
cervisia-19.04.2-1.fc30, kapptemplate-19.04.2-1.fc30, kcachegrind-19.04.2-1.fc30, kde-dev-scripts-19.04.2-1.fc30, kde-dev-utils-19.04.2-1.fc30, kdesdk-kioslaves-19.04.2-1.fc30, kdesdk-thumbnailers-19.04.2-1.fc30, kompare-19.04.2-1.fc30, libkomparediff2-19.04.2-1.fc30, lokalize-19.04.2-1.fc30, poxml-19.04.2-1.fc30, umbrello-19.04.2-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4ac77c847a

Comment 8 Fedora Update System 2019-07-08 22:00:29 UTC
cervisia-19.04.2-1.fc29, kapptemplate-19.04.2-1.fc29, kcachegrind-19.04.2-1.fc29, kde-dev-scripts-19.04.2-1.fc29, kde-dev-utils-19.04.2-1.fc29, kdesdk-kioslaves-19.04.2-1.fc29, kdesdk-thumbnailers-19.04.2-1.fc29, kompare-19.04.2-1.fc29, libkomparediff2-19.04.2-1.fc29, lokalize-19.04.2-1.fc29, poxml-19.04.2-1.fc29, umbrello-19.04.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cd9024067b

Comment 9 Fedora Update System 2019-07-16 01:39:55 UTC
cervisia-19.04.2-1.fc30, kapptemplate-19.04.2-1.fc30, kcachegrind-19.04.2-1.fc30, kde-dev-scripts-19.04.2-1.fc30, kde-dev-utils-19.04.2-1.fc30, kdesdk-kioslaves-19.04.2-1.fc30, kdesdk-thumbnailers-19.04.2-1.fc30, kompare-19.04.2-1.fc30, libkomparediff2-19.04.2-1.fc30, lokalize-19.04.2-1.fc30, poxml-19.04.2-1.fc30, umbrello-19.04.2-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-07-17 03:00:02 UTC
cervisia-19.04.2-1.fc29, kapptemplate-19.04.2-1.fc29, kcachegrind-19.04.2-1.fc29, kde-dev-scripts-19.04.2-1.fc29, kde-dev-utils-19.04.2-1.fc29, kdesdk-kioslaves-19.04.2-1.fc29, kdesdk-thumbnailers-19.04.2-1.fc29, kompare-19.04.2-1.fc29, libkomparediff2-19.04.2-1.fc29, lokalize-19.04.2-1.fc29, poxml-19.04.2-1.fc29, umbrello-19.04.2-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Ben Cotton 2019-10-31 19:03:25 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Ben Cotton 2019-11-27 23:01:38 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.